Subject: Re: [PATCH] gitweb: Even more support for PATH_INFO based URLs

From: Jakub Narebski <[email-masked]>
Date: Sat, 23 Sep 2006 16:55:49 +0200

Petr Baudis wrote:
> Dear diary, on Wed, Sep 20, 2006 at 12:49:51AM CEST, I got a letter
> where Jakub Narebski <[email-masked]> said that...
> > Now the following types of path based URLs are supported:
> > 
> > * project              overview (summary) page of project
> > * project/branch       shortlog of branch
> > * project/branch:file  file in branch, blob_plain view
> > * project/branch:dir/  directory listing of dir in branch, tree view
> > 
> > The following shortcuts works (see explanation below):
> > 
> > * project/branch:      directory listing of branch, main tree view
> > * project/:file        file in HEAD (raw)
> > * project/:dir/        directory listing of dir in HEAD
> > * project/:            directory listing of project's HEAD
> 
>   I haven't followed this stuff carefully but just to confirm, there is
> currently no way to persuade gitweb to actually produce such links,
> right?
> 
>   I like pathinfo and would like to use it for repo.or.cz's gitweb.

Well, all inner links go through href() subroutine, so this is where
you would want to make changes. Having project in pathinfo would be easy,
having branch/ref harder because it might be in hash, or in hash_base
parameter.

Perhaps we should use
	my $path_info = $ENV{MOD_PERL} ? $r->path_info() : $ENV{PATH_INFO};
-- 
Jakub Narebski
Poland